summaryrefslogtreecommitdiffstats
path: root/cholerab/knut/clients/cnot/index
diff options
context:
space:
mode:
Diffstat (limited to 'cholerab/knut/clients/cnot/index')
-rwxr-xr-xcholerab/knut/clients/cnot/index22
1 files changed, 22 insertions, 0 deletions
diff --git a/cholerab/knut/clients/cnot/index b/cholerab/knut/clients/cnot/index
new file mode 100755
index 00000000..f276dd25
--- /dev/null
+++ b/cholerab/knut/clients/cnot/index
@@ -0,0 +1,22 @@
+#! /bin/sh
+#
+# cnot - cholerab live command line notification client, bitch!
+#
+# usage: [verbose=yes] cnot hostname [message...]
+#
+set -euf
+
+host="$1"; shift
+port=42101
+
+params="$*"
+
+flags=-sS
+
+if test "${verbose-no}" != no; then
+ flags="${flags+$flags }-v"
+fi
+
+exec curl $flags -X PUT --data-binary @- "http://$host:$port" <<EOF
+{"method":"clive","params":"$params","id":null}
+EOF